<?php
/*
 This program is distributed under the terms of the GNU General Public License.
 See the README & COPYING files for more information.
 Copyright (C) 2007-2009  Kevin L. Papendick <kevinp@polarlava.com>
*/

	/**
	 * Active Calendar base class
	 * @link http://www.micronetwork.de/activecalendar/
	 */
	require_once(LIB_PATH . 'activecalendar/activecalendar.php');

	/**
	 * PolarBlog Calendar Class
	 *
	 * This class provides entry calendar support for PolarBlog
	 *
	 * @package PolarBlog
	 * @author Kevin L. Papendick <kevinp@polarlava.com>
	 * @copyright 2008 Kevin L. Papendick <kevinp@polarlava.com>
	 * @license http://www.gnu.org/copyleft/gpl.html GNU General Public License
	 * @version V1.0
	 */
	class PbCalendar extends activeCalendar
	{
		/**
		 * PbCalendar Constructor
		 *
		 * @param int $year The year to display
		 * @param int $month The year to display
		 * @param int $day The year to display
		 * @param int $GMTDiff The timeoffset from GMT.  Do not set to use local server time.
		 */
		function PbCalendar($year = false, $month = false, $day = false, $GMTDiff = 'none')
		{
			parent::activeCalendar($year, (string) $month , (string) $day, $GMTDiff);
			$this->yearID = 'y';
			$this->monthID = 'm';
			$this->dayID = 'd';
		}
	}
?>
