<?php
/*
 This program is distributed under the terms of the GNU General Public License.
 See the README & COPYING files for more information.
 Copyright (C) 2004-2006  Kevin L. Papendick <kevinp@polarlava.com>
*/

	if (DB_CONNECT === 'mysqli') {
		//--- Includes
		require_once(LIB_PATH . 'MySqliDb_class.php');
		/**
		 * MyClient MySQL Database Sub-Class
		 *
		 * This class acts as a wrapper for the MySqliDB class.
		 *
		 * @package MyClient
		 * @author Kevin L. Papendick <kevinp@polarlava.com>
		 * @copyright 2001-2006 Kevin L. Papendick <kevinp@polarlava.com>
		 * @license http://www.gnu.org/copyleft/gpl.html GNU General Public License
		 * @see MySqlDb()
		 */
		class PbDb extends MySqliDb
		{
			/**
			 * Instantiate a database object
			 *
			 * @return void
			 */
			function PbDb()
			{
				//--- Set your database connection string here
				$this->MySqliDb(DB_HOST, DB_NAME, DB_USER, DB_PASSWD, DB_PORT);

				//--- Enable Debug Messages - not recommended unless you are having problems
				$this->setDebug(TRUE);

				//--- Send Debug Message Email
				$this->setDebugMail(FALSE);
				//$this->setDebugEmailTo('you@your.com');
				//$this->setDebugEmailFrom('mysql@your.com');

				//$this->setErrorLog('/path/to/db_error.log');
			}

		}
	} else {
		//--- Includes
		require_once(LIB_PATH . 'MySqlDb_class.php');
		/**
		 * MyClient MySQL Database Sub-Class
		 *
		 * This class acts as a wrapper for the MySqlDB class.
		 *
		 * @package MyClient
		 * @author Kevin L. Papendick <kevinp@polarlava.com>
		 * @copyright 2001-2006 Kevin L. Papendick <kevinp@polarlava.com>
		 * @license http://www.gnu.org/copyleft/gpl.html GNU General Public License
		 * @version V3.0 - 20050219
		 * @see MySqlDb()
		 */
		class PbDb extends MySqlDb
		{

			/**
			 * Instantiate a database object
			 *
			 * @return void
			 */
			function PbDb()
			{
				//--- Set your database connection string here
				$this->MySqlDb(DB_HOST, DB_NAME, DB_USER, DB_PASSWD, DB_CONNECT, DB_PORT);

				//--- Enable Debug Messages - not recommended unless you are having problems
				$this->setDebug(TRUE);

				//--- Send Debug Message Email
				$this->setDebugMail(FALSE);
				//$this->setDebugEmailTo('you@your.com');
				//$this->setDebugEmailFrom('mysql@your.com');

				//$this->setErrorLog('/path/to/db_error.log');
			}

		}
	}
?>
